Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ArrayBindingBasedQueryEvaluationContext

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.ArrayBindingBasedQueryEvaluationContext

- All Implemented Interfaces:
    `QueryEvaluationContext`

      public final class ArrayBindingBasedQueryEvaluationContext
      extends Object
      implements QueryEvaluationContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.impl.QueryEvaluationContext

      `QueryEvaluationContext.Minimal`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BiConsumer<Value,​MutableBindingSet>` | `addBinding​(String variableName)` |
    `ArrayBindingSet` | `createBindingSet()` |
    `ArrayBindingSet` | `createBindingSet​(BindingSet bindings)` |
    `static String[]` | `findAllVariablesUsedInQuery​(QueryRoot node)` |
    `Function<BindingSet,​Binding>` | `getBinding​(String variableName)` |
    `Dataset` | `getDataset()` |
    `Literal` | `getNow()` |
    `Function<BindingSet,​Value>` | `getValue​(String variableName)` |
    `Predicate<BindingSet>` | `hasBinding​(String variableName)` |
    `BiConsumer<Value,​MutableBindingSet>` | `setBinding​(String variableName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNow

          public Literal getNow()

      Specified by:
        `getNow` in interface `QueryEvaluationContext`
      Returns:
        the shared now;

    - #### getDataset

          public Dataset getDataset()

      Specified by:
        `getDataset` in interface `QueryEvaluationContext`
      Returns:
        The dataset that this query is operation on.

    - #### createBindingSet

          public ArrayBindingSet createBindingSet()

      Specified by:
        `createBindingSet` in interface `QueryEvaluationContext`

    - #### hasBinding

          public Predicate<BindingSet> hasBinding​(String variableName)

      Specified by:
        `hasBinding` in interface `QueryEvaluationContext`

    - #### getBinding

          public Function<BindingSet,​Binding> getBinding​(String variableName)

      Specified by:
        `getBinding` in interface `QueryEvaluationContext`

    - #### getValue

          public Function<BindingSet,​Value> getValue​(String variableName)

      Specified by:
        `getValue` in interface `QueryEvaluationContext`

    - #### setBinding

          public BiConsumer<Value,​MutableBindingSet> setBinding​(String variableName)

      Specified by:
        `setBinding` in interface `QueryEvaluationContext`

    - #### addBinding

          public BiConsumer<Value,​MutableBindingSet> addBinding​(String variableName)

      Specified by:
        `addBinding` in interface `QueryEvaluationContext`

    - #### createBindingSet

          public ArrayBindingSet createBindingSet​(BindingSet bindings)

      Specified by:
        `createBindingSet` in interface `QueryEvaluationContext`

    - #### findAllVariablesUsedInQuery

          public static String[] findAllVariablesUsedInQuery​(QueryRoot node)